:root {
  --light-color: #212529;
  --light-second-color: #727475;
  --light-background: #ffffff;
  --light-second-background: #eaeef3;

  --dark-color: #909090;
  --dark-second-color: #f5f6fa;
  --dark-background: #23242d;
  --dark-second-background: #181818;

  --sidebar: #3a3f51;
  --blue-color: #0a58ca;
  --green-color: #198754;
  --orange-color: #e67d21;
  --purple-color: #8e44ad;
  --deepPink-color: #e91e63;
}

.light {
  --main-bg-color: var(--light-background);
  --second-bg-color: var(--light-second-background);
  --main-color: var(--light-color);
  --second-color: var(--light-second-color);
  --third-color: var(--light-color);
  --fourth-color: var(--dark-second-background);
}

.dark {
  --main-bg-color: var(--dark-background);
  --second-bg-color: var(--dark-second-background);
  --main-color: var(--dark-color);
  --second-color: var(--dark-second-color);
  --third-color: var(--light-background);
  --fourth-color: var(--light-second-background);
}

a {
  text-shadow: none;
  color: #337ab7;
}

button,
input {
  overflow: visible;
}

label {
  font-weight: 400;
  display: inline-block;
  margin-bottom: 0.5rem;
}

h3 {
  font-size: 23px !important;
}

[class*=" fa-"]:not(.fa-stack),
[class*=" glyphicon-"],
[class*=" icon-"],
[class^="material-"],
[class^="fa-"]:not(.fa-stack),
[class^="glyphicon-"],
[class^="icon-"] {
  display: inline-block;
  line-height: 14px;
  -webkit-font-smoothing: antialiased;
  text-decoration: none;
}

li [class*=" fa-"],
li [class*=" glyphicon-"],
li [class*=" icon-"],
li [class^="material-"],
li [class^="fa-"],
li [class^="glyphicon-"],
li [class^="icon-"] {
  display: inline-block;
  width: 1.25em;
  text-align: center;
}

li [class*=" icon-"],
li [class^="icon-"] {
  top: 1px;
  position: relative;
}

a {
  color: #007bff;
  text-decoration: none;
  background-color: transparent;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-text-fill-color: var(--third-color);
  -webkit-box-shadow: 0 0 0px 1000px var(--main-bg-color) inset;
  transition: background-color 5000s ease-in-out 0s;
}

.btn {
  display: inline-block;
  line-height: 1.42857143;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -ms-touch-action: manipulation;
  touch-action: manipulation;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  background-image: none;
  border: 1px solid transparent;

  font-size: 12px;
  transition: box-shadow 0.28s cubic-bezier(0.4, 0, 0.2, 1);
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
  border-radius: 2px;
  overflow: hidden;
  position: relative;
  padding: 8px 14px 7px;
  outline: 0 !important;
}

.badge,
.btn {
  font-weight: 600;
  text-transform: uppercase;
}

.btn > i {
  margin-top: 0;
  margin-left: 3px;
  margin-right: 3px;
}

.material-icons {
  line-height: 0;
}

.pull-right {
  float: right !important;
}

.alert,
.badge,
.btn-group > .btn,
.btn.btn-link:hover,
.btn,
.icon-btn,
.label,
.note,
.panel,
.overview-panel {
  box-shadow: 0 1px 3px rgb(0 0 0 / 10%), 0 1px 2px rgb(0 0 0 / 18%);
}

.badge {
  display: inline-block;
  min-width: 10px;
  line-height: 1;
  font-size: 11px !important;
  height: 18px;
  white-space: nowrap;
  color: #fff;
  -webkit-border-radius: 12px !important;
  -moz-border-radius: 12px !important;
  border-radius: 12px !important;
  text-shadow: none !important;
  text-align: center;
}

.animated {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.btn-group > .dropdown-menu,
.dropdown-menu {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.22) !important;
}

.dropdown-menu {
  left: auto;
  right: 0;
  min-width: 175px;
  position: absolute;
  z-index: 1000;
  display: none;
  float: left;
  list-style: none;
  text-shadow: none;
  padding: 0;
  background-color: #fff;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
}

.dropdown-menu {
  border: 0 !important;
  border-radius: 2px !important;
  margin: 0;
}

.bold {
  font-weight: 700 !important;
}

.circle {
  border-radius: 25px !important;
}

.notification-icon {
  min-width: 36px;
  min-height: 36px;
  text-align: center;
  display: inline-block;
  vertical-align: middle;
  font-size: 15px;
  color: #fff;
  line-height: 1.2;
  padding: 9px 0;
  margin-right: 5px;
}

.blue-bgcolor {
  background-color: #3598dc;
  color: #fff;
}

.red-bgcolor {
  background-color: #ff5370;
  color: #fff;
}

.deepPink-bgcolor,
.label.deepPink-bgcolor {
  background-color: var(--deepPink-color) !important;
  color: #fff !important;
}

.purple-bgcolor,
.label.purple-bgcolor {
  background-color: var(--purple-color);
}

.header-white
  .page-header.navbar
  .top-menu
  .navbar-nav
  > li.dropdown
  .dropdown-toggle
  > i {
  color: #000;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: Poppins, sans-serif;
  font-weight: 300;
}

.notification-label {
  float: right;
  border-radius: 10px;
  padding: 0px 10px;
  color: #fff;
}

.form-control {
  display: block;
  width: 100%;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  -webkit-transition: border-color ease-in-out 0.15s,
    -webkit-box-shadow ease-in-out 0.15s;
  -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  outline: 0 !important;
  box-shadow: none !important;
  appearance: auto;
}

.img-circle {
  border-radius: 50%;
}

.mdl-button {
  background: 0 0;
  border: none;
  border-radius: 2px;
  color: #000;
  position: relative;
  height: 36px;
  margin: 0;
  min-width: 64px;
  padding: 0 16px;
  display: inline-block;
  font-family: "Roboto", "Helvetica", "Arial", sans-serif;
  font-size: 14px;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 0;
  overflow: hidden;
  will-change: box-shadow;
  transition: box-shadow 0.2s cubic-bezier(0.4, 0, 1, 1),
    background-color 0.2s cubic-bezier(0.4, 0, 0.2, 1),
    color 0.2s cubic-bezier(0.4, 0, 0.2, 1);
  outline: none;
  cursor: pointer;
  text-decoration: none;
  text-align: center;
  line-height: 36px;
  vertical-align: middle;
}

.mdl-button--icon {
  border-radius: 50%;
  font-size: 24px;
  height: 32px;
  margin-left: 0;
  margin-right: 0;
  min-width: 32px;
  width: 32px;
  padding: 0;
  overflow: hidden;
  color: inherit;
  line-height: normal;
}

.mdl-button--icon .material-icons {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-12px, -12px);
  transform: translate(-12px, -12px);
  line-height: 24px;
  width: 24px;
}

.mdl-button .material-icons {
  vertical-align: middle;
}

.btn-check:focus + .btn,
.btn:focus {
  box-shadow: unset;
  outline: 0;
}

.p-t-48 {
  padding-top: 48px !important;
}

.hide {
  display: none !important;
}

.pull-left {
  float: left !important;
}

.bg-blue {
  background: #3598dc;
  color: #fff;
}

.bg-orange {
  background: var(--orange-color);
  color: #fff;
}

.bg-purple {
  background: var(--purple-color);
  color: #fff;
}

.bg-success {
  background: var(--green-color);
  color: #fff;
}

.table thead tr th {
  font-size: 14px;
  font-weight: 600;
  white-space: nowrap;
}

.table td,
.table th,
.card .table td,
.card .table th,
.card .dataTable td,
.card .dataTable th {
  padding: 10px 8px;
  vertical-align: middle;
}

.label {
  text-shadow: none !important;
  color: #fff;
  font-family: "Roboto", Helvetica, Arial, sans-serif;
  text-transform: uppercase;
  font-weight: 600;
  padding: 8px 15px;
  background: #1ebdcc;
  line-height: 1;
  text-align: center;
  display: inline;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: 0.25em;
}

.label-success {
  background: linear-gradient(45deg, #2ed8b6, var(--green-color)) !important;
}

.label-danger {
  background: linear-gradient(45deg, #ff5370, #ff869a) !important;
}

.label-warning {
  background: linear-gradient(45deg, #ffb64d, #ffcb80) !important;
}

select.form-control.form-control-sm {
  height: 30px !important;
}

.card-topline-aqua {
  border-top: 3px solid #00c0ef !important;
}

.mdl-js-button {
  right: 10px;
}

.mdl-menu {
  position: absolute;
  list-style: none;
  top: 0;
  left: 0;
  height: auto;
  width: auto;
  min-width: 124px;
  padding: 8px 0;
  margin: 0;
  opacity: 0;
  clip: rect(0 0 0 0);
  z-index: -1;
}

.p-t-24 {
  padding-top: 20px !important;
}

.mdl-textfield {
  position: relative;
  font-size: 16px;
  display: inline-block;
  box-sizing: border-box;
  width: 300px;
  max-width: 100%;
  margin: 0;
  padding: 20px 0;
}

.txt-full-width {
  width: 100% !important;
}

.mdl-textfield__input {
  border-bottom: 1px solid #a6aeb1;
  border: none;
  display: block;
  font-size: 16px;
  font-family: "Helvetica", "Arial", sans-serif;
  margin: 0;
  padding: 4px 0;
  width: 100%;
  background: 0 0;
  text-align: left;
  color: inherit;
  border-bottom: 1px solid #a6aeb1;
}

.mdl-textfield__label {
  color: #aaaaaa;
  font-size: 13px;
  bottom: 0;
  left: 0;
  right: 0;
  pointer-events: none;
  position: absolute;
  display: block;
  top: 24px;
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  text-align: left;
}

.mdl-textfield__label:after {
  background-color: #49cdd0;
  bottom: 20px;
  content: "";
  height: 2px;
  left: 45%;
  position: absolute;
  transition-duration: 0.2s;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  visibility: hidden;
  width: 10px;
}

.margin-0 {
  margin: 0 !important;
}

.mdl-icon-toggle__label.material-icons {
  line-height: 32px;
  font-size: 24px;
  float: right;
  margin-top: -30px;
  color: rgba(0, 0, 0, 0.4);
  position: relative;
  cursor: pointer;
  height: 32px;
  width: 32px;
  min-width: 32px;
  border-radius: 50%;
  padding: 0;
  margin-left: 0;
  margin-right: 0;
  text-align: center;
  background-color: transparent;
  will-change: background-color;
  transition: background-color 0.2s cubic-bezier(0.4, 0, 0.2, 1),
    color 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

.mdl-menu__container {
  display: block;
  margin: 0;
  padding: 0;
  border: none;
  position: absolute;
  overflow: visible;
  visibility: hidden;
  z-index: -1;
}

.mdl-menu__outline {
  display: block;
  background: #fff;
  margin: 0;
  padding: 0;
  border: none;
  border-radius: 2px;
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
  opacity: 0;
  -webkit-transform: scale(0);
  transform: scale(0);
  -webkit-transform-origin: 0 0;
  transform-origin: 0 0;
  box-shadow: 0 2px 2px 0 rgb(0 0 0 / 14%), 0 3px 1px -2px rgb(0 0 0 / 20%),
    0 1px 5px 0 rgb(0 0 0 / 12%);
  will-change: transform;
  transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1),
    opacity 0.2s cubic-bezier(0.4, 0, 0.2, 1),
    -webkit-transform 0.3s cubic-bezier(0.4, 0, 0.2, 1);
  z-index: -1;
}

.mdl-menu__item {
  font-size: 12px;
  display: block;
  border: none;
  color: rgba(0, 0, 0, 0.87);
  background-color: transparent;
  text-align: left;
  margin: 0;
  padding: 0 16px;
  outline-color: #bdbdbd;
  position: relative;
  overflow: hidden;
  font-weight: 400;
  letter-spacing: 0;
  text-decoration: none;
  cursor: pointer;
  height: 48px;
  line-height: 48px;
  white-space: nowrap;
  opacity: 0;
  transition: opacity 0.2s cubic-bezier(0.4, 0, 0.2, 1);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.m-r-20 {
  margin-right: 20px !important;
}

.m-r-10 {
  margin-right: 10px !important;
}

.m-l-10 {
  margin-left: 10px !important;
}

.m-b-10 {
  margin-bottom: 10px !important;
}

.m-t-10 {
  margin-top: 10px !important;
}

.btn-pink {
  background-color: #ff4081 !important;
  border: 1px solid #ff4081 !important;
  color: #fff !important;
}

.btn-default {
  background-color: #888888 !important;
  border-color: #888888 !important;
  color: #fff !important;
}

.page-link:focus {
  box-shadow: unset;
}

.alert {
  border-radius: 2px;
  border-width: 0;
  padding: 0.75rem 1.25rem;
}

.mr-md-1,
.mx-md-1 {
  margin-right: 0.25rem !important;
}

.ml-md-1,
.mx-md-1 {
  margin-left: 0.25rem !important;
}

.btn.btn-primary {
  background: #fbceb5 !important;
  border: 1px solid #fbceb5 !important;
  color: #000 !important;
}

.text-md-right {
  text-align: right !important;
}

.circle {
  padding: 2px;
  border-radius: 50%;
  background-color: #000;
}

.white {
  color: #fff;
}

.table {
  color: var(--main-color);
}
